'Practice Test

Imports System.io


Public Class FrmTimesTables
    Dim ProgramPath As String
    Dim Factor As Integer
    Dim RandomNumber As Random = New Random
    Dim QuizNumber As Integer

    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        Dim i As Integer

        Factor = nudFactor.Value
        picHeader.Image = Image.FromFile(ProgramPath & "TimesTable" & Factor & ".gif")
        QuizNumber = RandomNumber.Next(1, 13)
        lstTable.Items.Clear()
        For i = 1 To 12
            If i <> QuizNumber Then
                lstTable.Items.Add(i & " x " & Factor & " = " & (i * Factor))
            Else
                lstTable.Items.Add(i & " x " & Factor & " = ??")
            End If
        Next
        lblQuiz.Text = QuizNumber & " x " & Factor & " = "
    End Sub

    Private Sub FrmTimesTables_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ProgramPath = Directory.GetCurrentDirectory & "\"
    End Sub

    Private Sub btnCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click
        If txtGuess.Text = (Factor * QuizNumber) Then
            lblFace.Text = "J"
        Else
            lblFace.Text = "L"
        End If
    End Sub

    Private Sub txtGuess_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtGuess.TextChanged
        lblFace.Text = "K"
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lstTable.Items.Clear()
        lblFace.Text = "K"
        lblQuiz.Text = ""
        txtGuess.Text = ""
        picHeader.Image = Nothing
    End Sub
End Class
